# all files / Github/bpmn-js/lib/features/auto-place/ AutoPlaceSelectionBehavior.js

100% Statements 3/3
100% Branches 0/0
100% Functions 2/2
100% Lines 3/3

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18

    70×
    28×

    1×

     /**
     * Select element after auto placement.
     *
     * @param {EventBus} eventBus
     * @param {Selection} selection
     */
    export default function AutoPlaceSelectionBehavior(eventBus, selection) {

      eventBus.on('autoPlace.end', 500, function(e) {
        selection.select(e.shape);
      });

    }

    AutoPlaceSelectionBehavior.$inject = [
      'eventBus',
      'selection'
    ];